/* My site CSS 
   By Ramon Pinho   
*/

html, body {    
    padding: 0px;
    border: 0px;
    margin:0px;
}

footer {
    display: flex;
    flex-direction: column;	
    justify-content: center;
    height: 10vh;    
}

h1 {
    margin: 0px;
    font-weight: bolder;    
}

h2 {
    margin: 0px;
    font-weight: bold;    
}

.columnContainer
{
    display:flex;			
    flex-direction: column;
}

.headerStyle {
    height: 5vh;         
}

#simBody{
    display: flex;    
    flex-direction: row;    
    align-items: center;
    flex-wrap: wrap;    
    background-color: white;
    align-items: stretch;
}

.headerStyle, .menuStyle, .toolBarStyle {
    display: flex;    
    flex-direction: row;    
    align-items: center;
    flex-wrap: wrap;    
    padding-right: 5vw;
    padding-left: 5vw;
}

    .toolBarStyle > div {
        min-width: 24px;
        min-height: 24px;
        padding: 4px;
    }

    .menuStyle > div, .toolBarStyle > div {
        margin-left: 10px;
    }

.rowContainer {
    display: flex;
    justify-content: flex-start;
    flex-direction: row;
    align-content: stretch;
    flex-wrap: wrap;        
}

.centerText {
    text-align: center;
}

.rowItem1 {
    flex-grow:1;
}

.main {    
    overflow: auto;
    height: 75vh;
    max-height: 75vh;
}

/* .main div {
    padding: 4px;
}*/

section > div, .menuStyle, .toolBarStyle {
    padding: 4px;
}

.collapsable {
    cursor: pointer;
}

@media only screen and (max-width: 700px) {
    .main {
        padding-left: 4vw;
        padding-right: 4vw;
    }

    h1 {
        font-size: large;
    }
    
    h2, .formTitle {
        font-size: large;
    }

    footer {
        font-size: x-small;
    }    
}

@media only screen and (min-width: 700px) {
    .main {
        padding-left: 10vw;
        padding-right: 10vw;
    }

    h1 {
        font-size: xx-large;
    }
    
    h2, .formTitle {
        font-size: x-large;
    }    
}

.flagsDiv {
    display: flex;
    justify-content: flex-end;
    flex-direction: row;    
    flex-wrap: wrap; 
}

.flagsDiv span, .flagsDiv form, .flagsDiv a, .flagsDiv img {
    margin-left: 3px;
}

.hidden {
    display:none;
}

.crossed {
    text-decoration: line-through;
}

.toolBarStyle > div:hover, .menuStyle > div:hover {
    cursor: pointer;
}

/* Specifcs */
#canvasGraph {
    /* width: 700px;
    height: 400px; */
    border:1px solid red;
}

#divProperty {
    width: 300px;
    height: 400px;
    border: 1px solid blue;
    flex-grow: 1;    
}

#statusBar {
    border: 1px solid #505050;
    background-color: #e0e0e0;
    color: #505050;
    padding: 4px;
}

#statusBar > span {
    margin-right: 10px;
}

.staticText {
    font-style: italic;
}

.labelText {
    font-weight: bold;
}
